////////////////////////////////////////////////////////////////////////////////
// matrixAdd kernel
////////////////////////////////////////////////////////////////////////////////

__global__ void matrixAdd(float *matrix1_d, float *matrix2_d, float *matrixR_d,
                          int n)
{
    // global ID
    int gid = (blockIdx.x * blockDim.x + threadIdx.x);

    if (gid < (n * n))
        matrixR_d[gid] = matrix1_d[gid] + matrix2_d[gid];
}

